<nb-layout>
  <nb-layout-column>
    <app-module-error></app-module-error>
    <app-module-actions
      [exitLocation]="exitLocation"
      [testPath]="testPath"
      (saveModule)="saveModule($event)"
    ></app-module-actions>
    <app-module-input></app-module-input>
    <div class="graph-container">
      <app-module-graph></app-module-graph>
    </div>
  </nb-layout-column>
</nb-layout>
